<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@drawable/background">

    <!-- Header -->
    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="?android:attr/actionBarSize"
        android:background="@drawable/transparent_background"
        android:theme="@style/Theme.MaterialComponents.Light.DarkActionBar"
        app:elevation="@dimen/sdp_2">

        <LinearLayout
            android:id="@+id/header"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingTop="@dimen/sdp_5"
            android:paddingBottom="@dimen/sdp_5">

            <!--Back-->
            <LinearLayout
                android:id="@+id/back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/sdp_15"
                android:layout_marginTop="@dimen/sdp_5"
                android:layout_marginEnd="@dimen/sdp_10"
                android:layout_marginBottom="@dimen/sdp_5"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/sdp_25"
                    android:layout_height="@dimen/sdp_25"
                    android:layout_gravity="center"
                    android:contentDescription="@string/app_name"
                    android:padding="@dimen/sdp_2"
                    app:srcCompat="@drawable/ic_back" />

                <TextView
                    fontPath="fonts/century_gothic_bold.ttf"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/sdp_5"
                    android:layout_marginEnd="@dimen/sdp_5"
                    android:text="@string/back"
                    android:textAlignment="center"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textIsSelectable="false"
                    android:textSize="@dimen/text_small"
                    tools:ignore="MissingPrefix" />
            </LinearLayout>

            <!--Title-->
            <TextView
                android:id="@+id/title"
                android:layout_width="0dp"
                android:layout_height="@dimen/sdp_30"
                android:layout_marginStart="@dimen/sdp_10"
                android:layout_marginEnd="@dimen/sdp_10"
                android:layout_weight="1"
                android:text="@string/dj_drake_tv_title"
                android:gravity="center"
                android:textSize="@dimen/text_small"
                android:textAlignment="gravity"
                android:textColor="@color/white" />

            <!--Notification-->
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/sdp_10"
                android:layout_marginTop="@dimen/sdp_5"
                android:layout_marginEnd="@dimen/sdp_15"
                android:layout_marginBottom="@dimen/sdp_5"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/sdp_40"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/sdp_10"
                    android:layout_marginEnd="@dimen/sdp_10"
                    android:src="@drawable/live"
                    android:contentDescription="@string/app_name" />

            </LinearLayout>

        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/colorPrimary" />
    </com.google.android.material.appbar.AppBarLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

        <com.google.android.exoplayer2.ui.PlayerView
            android:id="@+id/playerView"
            android:layout_width="match_parent"
            android:background="@drawable/background"
            android:layout_height="@dimen/sdp_150"
            app:resize_mode="fit"
            app:show_buffering="when_playing"
            app:show_shuffle_button="false"
            app:use_controller="true" />

            <ImageView
                android:id="@+id/video_overlay"
                android:layout_width="match_parent"
                android:layout_height="@dimen/sdp_150"
                android:src="@drawable/offline"
                android:background="@color/black"
                android:contentDescription="@string/app_name" />

        </RelativeLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/white" />

    <LinearLayout
        android:id="@+id/like_share_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/background_color"
        android:orientation="horizontal"
        android:weightSum="2">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:paddingTop="@dimen/sdp_5"
            android:paddingBottom="@dimen/sdp_5"
            android:orientation="horizontal"
            android:gravity="center">

            <ImageView
                android:id="@+id/fav"
                android:layout_width="@dimen/sdp_20"
                android:layout_height="@dimen/sdp_20"
                android:src="@drawable/selector_video_like"
                android:contentDescription="@string/app_name" />

            <TextView
                android:id="@+id/like_count"
                fontPath="fonts/century_gothic_bold.ttf"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/sdp_5"
                android:layout_marginEnd="@dimen/sdp_5"
                android:textSize="@dimen/text_small"
                android:textColor="@color/scorpion"
                tools:ignore="MissingPrefix" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"
            android:gravity="center">

                <ImageView
                    android:id="@+id/share"
                    android:layout_width="@dimen/sdp_20"
                    android:layout_height="@dimen/sdp_20"
                    android:src="@drawable/video_share"
                    android:contentDescription="@string/app_name" />

                <TextView
                   fontPath="fonts/century_gothic.ttf"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/share"
                    android:layout_marginStart="@dimen/sdp_5"
                    android:layout_marginEnd="@dimen/sdp_5"
                    android:textColor="@color/scorpion"
                    android:textSize="@dimen/_11sdp"
                    tools:ignore="MissingPrefix" />

        </LinearLayout>

    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/white" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/carousal"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:overScrollMode="never"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="6:1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/listing"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:nestedScrollingEnabled="false"
            android:overScrollMode="never"
            android:scrollbars="none"
            app:layout_behavior="@string/appbar_scrolling_view_behavior" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/messageInput"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/white_corner_background"
            android:cursorVisible="true"
            android:hint="@string/post_a_message"
            android:imeOptions="actionSend"
            android:inputType="text|textAutoComplete"
            android:textAllCaps="false"
            android:layout_toStartOf="@+id/send_message"
            android:padding="@dimen/sdp_10"
            android:layout_marginEnd="@dimen/_minus35sdp"
            android:textColor="@color/black"
            android:textColorHint="@color/codGray"
            android:textCursorDrawable="@null"
            android:textIsSelectable="false"
            android:textSize="@dimen/text_normal"
            android:textStyle="normal"/>

        <!-- Filter Button -->
        <com.google.android.material.button.MaterialButton
            android:id="@+id/send_message"
            fontPath="fonts/century_gothic.ttf"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/light_blue_corner_background"
            android:paddingTop="@dimen/sdp_5"
            android:paddingBottom="@dimen/sdp_5"
            android:layout_alignParentEnd="true"
            android:text="@string/post"
            android:textAlignment="gravity"
            android:textAllCaps="true"
            android:textColor="@color/white"
            android:textSize="@dimen/text_small"
            app:cornerRadius="0dp"
            tools:ignore="MissingPrefix" />

    </RelativeLayout>

    </LinearLayout>

    </LinearLayout>

    <!-- No Data Found-->
    <TextView
        android:id="@+id/no_data_found"
        fontPath="fonts/century_gothic_bold.ttf"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_gravity="center"
        android:gravity="center"
        android:text="@string/no_data_found"
        android:textAlignment="gravity"
        android:textAllCaps="false"
        android:textColor="@color/white"
        android:textIsSelectable="false"
        android:textSize="@dimen/text_normal"
        android:visibility="visible"
        tools:ignore="MissingPrefix" />

    <!-- Loader -->
    <androidx.core.widget.ContentLoadingProgressBar
        android:id="@+id/loader"
        android:indeterminateTint="@color/colorPrimary"
        style="?android:attr/progressBarStyleLarge"
        android:layout_width="@dimen/sdp_30"
        android:layout_height="@dimen/sdp_30"
        android:layout_centerInParent="true"
        android:layout_gravity="center" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>